
Summary:       ALSA driver C++ Library
Name:          clalsadrv
Version:       2.0.0
Release:       17%{?dist}
License:       GPLv2+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2

Obsoletes:     alsadrv <= 0.0.2
Provides:      alsadrv > 0.0.2
BuildRequires: alsa-lib-devel
BuildRequires: gcc-c++

%description
ALSA driver C++ access library

%package       devel
Summary:       ALSA driver C++ access library
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

Obsoletes:     alsadrv-devel <= 0.0.2
Provides:      alsadrv-devel > 0.0.2

%description devel
ALSA driver C++ access library. This package includes the development
tools.

%prep
%setup -q

%build
cd libs
sed -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" \
       -e "s|-O2|%{optflags}|g" Makefile
make %{?_smp_mflags} LDFLAGS="$RPM_LD_FLAGS" LIBDIR=%{_lib}

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
cd libs
make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} install
ln -s lib%{name}.so.2.0.0 %{buildroot}%{_libdir}/lib%{name}.so.2


%files
%doc AUTHORS
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Mon Mar 12 2018 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 2.0.0-17
- Use Fedora link flags
- Add BR: gcc-c++
- Some cleanup

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.0-10
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 05 2012 Dan Horák <dan[at]danny.cz> 2.0.0-4
- fix build on 64-bit arches

* Thu Feb 16 2012 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-3
- Adjust license and correct symlink

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-2
- Packaged according to Fedora guidelines

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> 2.0.0-1
- Copied from Planet CCRMA 

